{{- if eq .Values.clusterConfig.cluster "oceanbox"}}
apiVersion: v1
kind: Service
metadata:
  name: argocd-server-nodeport
  namespace: argocd
spec:
  clusterIP: 10.102.84.163
  clusterIPs:
  - 10.102.84.163
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: http
    nodePort: 30290
    port: 80
    targetPort: 8080
  - name: https
    nodePort: 31261
    port: 443
    targetPort: 8080
  selector:
    app.kubernetes.io/instance: argocd
    app.kubernetes.io/name: argocd-server
  type: NodePort
{{- end }}
